> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all SaaS

> Return the list of SaaS applications for your company, regardless of their approval status.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json get /saas
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /saas:
    get:
      tags:
        - Saas
      summary: Get all SaaS
      description: >-
        Return the list of SaaS applications for your company, regardless of
        their approval status.
      operationId: getSaas
      parameters:
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            minimum: 1
            maximum: 9007199254740991
            default: 1
            type: number
        - name: perPage
          required: false
          in: query
          description: Number of items per page (max 100)
          schema:
            minimum: 1
            maximum: 100
            default: 50
            type: number
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSaas_Output'
components:
  schemas:
    GetSaas_Output:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                description: >-
                  The company SaaS application ID (companySaasApplicationId).
                  Pass this value as `saasId` to the other SaaS endpoints
                  (getSaasById, getSaasIssues, provision/deprovision, …).
                type: string
              name:
                type: string
              approvalStatus:
                description: Approval status of the SaaS application in your company.
                type: string
                enum:
                  - TO_REVIEW
                  - APPROVED
                  - REJECTED
              tags:
                type: array
                items:
                  type: string
              connectionStatus:
                type: string
                enum:
                  - CONNECTED
                  - DISCONNECTED
                  - PENDING
                  - NOT_CONNECTED
                  - NOT_CONNECTABLE
              identitiesCount:
                type: integer
                minimum: 0
                maximum: 9007199254740991
            required:
              - id
              - name
              - approvalStatus
              - tags
              - connectionStatus
              - identitiesCount
            additionalProperties: false
        pagination:
          type: object
          properties:
            totalElements:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            totalPages:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            page:
              type: integer
              minimum: 1
              maximum: 9007199254740991
            perPage:
              type: integer
              minimum: 1
              maximum: 100
          required:
            - totalElements
            - totalPages
            - page
            - perPage
          additionalProperties: false
      required:
        - data
        - pagination
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````